> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-dsuserlicense.md).

# Get-DSUserLicense

### Übersicht

Alle Zuweisungen einer bestimmten Lizenz abrufen

### Syntax

#### InputObject

```
Get-DSUserLicense -InputObject <PSLicenseInfo> [-AsLegacyResponse] [<CommonParameters>]
```

#### GetByID

```
Get-DSUserLicense -Serial <string> [-AsLegacyResponse] [<CommonParameters>]
```

### Beschreibung

Alle Zuweisungen einer bestimmten Lizenz abrufen. Um eine Lizenz zuzuweisen, ändern Sie das Feld IsMember des gewünschten Benutzers. Sobald die Änderungen abgeschlossen sind, verwenden Sie das Cmdlet Set-DSUserLicense.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $assignResponse = Get-DSUserLicense -Serial XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
        $assignments = $assignResponse.Data
        $asssignments | Where -Property IsMember -eq $true | Select Name, UserId
```

Alle Benutzer abrufen, denen die Lizenz 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX' zugewiesen wurde

#### Beispiel 2

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Die mit XXXXX beginnende Lizenz dem Benutzer 'Name of the user to assign' zuweisen

### Parameter

#### -AsLegacyResponse

In Versionen vor 2024.2 gaben viele DS-Cmdlets ein ServerResponse-Objekt zurück. Durch Aktivieren dieses Schalters für Rückwärtskompatibilität können für frühere Versionen entwickelte Skripte korrekt funktionieren.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Benutzerlizenzzuweisungen dieser bestimmten Seriennummer

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Serial

Benutzerlizenzzuweisungen dieser bestimmten Seriennummer

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo

Lizenzobjekt, das aus dem Datenfeld der Get-DSLicense-Antwort abgerufen wurde

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Get-DSUserLicense -detailed". Technische Informationen erhalten Sie mit "Get-Help Get-DSUserLicense -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-dsuserlicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
